Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005906OCamlOCaml typingpublic2013-01-24 15:262013-04-23 02:41
Reportersbriais 
Assigned Togarrigue 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformAMD64OSLinuxOS Version
Product Version4.00.1 
Target VersionFixed in Version4.00.2+dev 
Summary0005906: GADT exhaustiveness check is still broken
DescriptionThe attached file should warn that a pattern-matching is not exhaustive but does not.
The bug still exists in the current trunk (r13274).

TagsNo tags attached.
Attached Files? file icon bug.ml [^] (507 bytes) 2013-01-24 15:26 [Show Content]

- Relationships
child of 0005998assignedgarrigue GADT typing and exhaustiveness bugs 

-  Notes
(0008796)
garrigue (manager)
2013-01-25 05:30

Fixed in trunk and 4.00, at revisions 13276 and 13277.

There was a stupid bug in try_many_gadt.

- Issue History
Date Modified Username Field Change
2013-01-24 15:26 sbriais New Issue
2013-01-24 15:26 sbriais File Added: bug.ml
2013-01-25 05:30 garrigue Note Added: 0008796
2013-01-25 05:30 garrigue Status new => closed
2013-01-25 05:30 garrigue Assigned To => garrigue
2013-01-25 05:30 garrigue Resolution open => fixed
2013-01-25 05:30 garrigue Fixed in Version => 4.00.2+dev
2013-04-23 02:41 garrigue Relationship added child of 0005998


Copyright © 2000 - 2011 MantisBT Group
Powered by Mantis Bugtracker